X.org xf86-video-intel

[i855] no support for TV-Out on 8xx chipsets

Reported by Aaron Whitehouse on 2005-12-29
98
This bug affects 14 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Confirmed
Wishlist
xserver-xorg-video-i810 (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
Wishlist
Unassigned

Bug Description

The -intel driver does not support TV out through DVO, which is used by many 8xx-based laptops, and at this time upstream has no plans for implementing support.

The specifications for the chips (chrontel) have been published, so it is feasible for someone outside Intel to implement support by writing an appropriate DVO driver. There are several LVDS and TMDS DVO drivers already included in the -intel tree that could be used as examples.

[Original Bug Report]
I use an Intel Centrino chipset on a Dell Inspiron 510m. My hardware ID is:
ab4d55311e734d27f3679e60a3ba8604

I apologise if I got the source package incorrect.

What I was attempting to achieve was to output a video of the Guadec conference, which was playing on my screen, to the Television via my S-Video connector. I plugged everything in and pushed the function key with "CRT/LCD". The screen had a white flicker in it whenever I pushed the button but, aside from that, nothing happened.

What I expected to happen was for the TV to mirror what was on my screen.

My resolution was set to 1400x1050 but the same occurs when this is reduced to 1280x1024 (the lowest in the list).

Thanks

Daniel Holbach (dholbach) wrote :

Thanks for your bug report. Which version of Ubuntu do you use?

Changed in xserver-xorg-driver-i810:
assignee: nobody → daniels
status: New → NeedInfo
Aaron Whitehouse (luna-tick) wrote :

Sorry - Ubuntu 5.10 Breezy. I thought I had put that in.

Daniel Stone (daniels) on 2006-03-10
Changed in xserver-xorg-driver-i810:
assignee: daniels → nobody
Aaron Whitehouse (luna-tick) wrote :

Does this "need info" anymore?

External display does not work on Dapper Flight 3 either.

The image on display is shown, but too distorted to view. Acer Travelmate 3000 (3004WTMi). Intel Mobile 915GM/GMS/910GML Express Graphics Controller, builtin 1280x800 widescreen 12,1" TFT. Using VGA connector.
Running 915resolution (MODE=54, XRESO=1280, YRESO=800) because of widescreen.

Reinhard Tartler (siretart) wrote :

we are talking about seperate bugs here: The original submitter noticed that tv-out doesn't work on his i810. Tero uses an external display, which gets a distorted image. I just filed #36550 to get these 2 things seperate

Luna: I don't think that we can support tv-out on i810 using Fn-F7 hotkey shortcut. AFAIK on many laptops, they are handled via your ACPI Implementation of your hardware.

There are some machines which do produce acpi events for these hotkeys, there we can handle these events in ubuntu. We need to find out how to activate TV-out, so that we can extend our acpi-support scripts.

Aaron Whitehouse (luna-tick) wrote :

(It is Fn+F8, not F7)

I agree that they are two separate issues. I don't understand your last comment about ACPI implementations. There have been several issues I have reported with hotkey-setup. It seems that it is usually a fairly simple case of finding what key 'number' is generated when the button is pressed and assigning that key 'number' to an event.

If I understand things correctly, the first step would be get it working (whether by typing in commands or some other method) and then we can work on getting the hotkey support correct. When I push the hotkey, the screen flickers, so my gut feeling is that the hotkey is already assigned to a screen-related action, but something down the line is failing.

Please let me know what you would like me to do.

Aaron Whitehouse (luna-tick) wrote :

Can you please let me know what info is needed to satisfy the "needs info" status of this bug?

Matt Zimmerman (mdz) on 2006-05-03
Changed in xserver-xorg-driver-i810:
status: Needs Info → Unconfirmed
Simon Law (sfllaw) on 2006-05-05
Changed in xserver-xorg-driver-i810:
status: Unconfirmed → Needs Info
Simon Law (sfllaw) wrote :

Aaron,

Could you please attach your /etc/X11/xorg.conf file, along with
/var/log/Xorg.0.log?

Thanks.

This is my xorg.conf file

My Xorg.0.log

To be clear, I am using a fully updated Dapper Beta.

Anything else that you need from me, let me know.

Changed in xserver-xorg-driver-i810:
status: Needs Info → Confirmed
Aaron Whitehouse (luna-tick) wrote :

Sorry, I thought this was confirmed so intended to return it to that when the Needs Info was satisfied - I think it was still unconfirmed so I will switch it back.

Changed in xserver-xorg-driver-i810:
status: Confirmed → Unconfirmed
Simon Law (sfllaw) wrote :

Something like this line, in the i810 Device Section might help:

Option "MonitorLayout" "LFP,LFP+TV"

For more information, see the i810(4) manpage.

If so, please mention which layout options you used to good
effect.

Adriaan Peeters (apeeters) wrote :

Using that option on a Dell Latitude D505 (with i810 on a 855GM) with or without
Option "Clone" "true"
can work, but the image on the tv is cropped: only the top left corner is shown (comparable to bug #38729).

Changed in xserver-xorg-driver-i810:
status: Unconfirmed → Confirmed
Changed in xserver-xorg-driver-i810:
assignee: nobody → ubuntu-x-swat
Aaron Whitehouse (luna-tick) wrote :

I had a go at this when you first suggested it and it stopped my X server from starting. I'll have more of a play now that I am on Dapper Final.

Aaron Whitehouse (luna-tick) wrote :

Hi,

I had another go at this with a fully updated Dapper. Again I found that it prevented X from starting up with an error that no screens were found (or screens were found but none at the correct resolution).

I will attach the Xorg.conf file that I used and the Xorg log that it produced.

I tried with and without 915resolution installed and tried changing the resolution setting down to 640x480 before restarting. None of these made any difference.

Aaron Whitehouse (luna-tick) wrote :

Xorg.0.log that was produced when I made the change.

Ned (alabatros) wrote :

An experimental utility for CRT Out (Svideo out?) has been released. http://sourceforge.net/projects/i855crt
I've tried it on my laptop with an Intel 82852/855 extreme graphics card with no luck, but maybe it will be useful for someone here.

I think that project, which "can enable the crt out (port for external
monitor)", is for normal external screens, not TV Outs. There is a
forum article there:
http://sourceforge.net/forum/forum.php?thread_id=1247796&forum_id=369761
asking for them to work on the TV Out as well.

I'm not sure why it is necessary... I am using the normal drivers
bundled with Ubuntu and am currently writing this fine on an external
screen.

Timo Aaltonen (tjaalton) on 2007-09-22
Changed in xserver-xorg-video-i810:
assignee: ubuntu-x-swat → nobody

Hello i hope this is the right place to ask a question about the s-video out using the new intel driver on an i810 chipset. Im running gusty with the intel modesetting branch and am trying to configure the s-video for connection between my computer and tv. When i run randr it doesnt even detect my tv connected...

znejk@zarathustra:~$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1024 x 1024
VGA disconnected (normal left inverted right)
LVDS connected 1024x768+0+0 (normal left inverted right) 0mm x 0mm
   1024x768 59.3*+ 85.0 75.0 70.1 60.0
   832x624 74.6
   800x600 85.1 72.2 75.0 60.3 56.2
   640x480 85.0 72.8 75.0 59.9
   720x400 85.0
   640x400 85.1
   640x350 85.1

Is there support for s-video in the new modesetting driver for the i810 chipset? or planned to make support for it or am i having an error? Hope u understand what i mean.
best regards
Fredrik

You should use master branch not modesetting branch for intel driver. (modesetting branch has been dead and merged to master.)

I can see TV output with s-video on 915GM chipset. Is your i810 integrated with s-video, or through ADD card?

(In reply to comment #1)
> You should use master branch not modesetting branch for intel driver.
> (modesetting branch has been dead and merged to master.)
>
> I can see TV output with s-video on 915GM chipset. Is your i810 integrated with
> s-video, or through ADD card?
>

Oh sorry i probably use the master branch, kinda new to this, the one that comes with the ubuntu gutsy I pressume is the master branch. My i810 is integrated with s-video. IBM thinkpad R51.

Could you double-check if it's i810 by command "lspci"? I thought R51 is 855GM.
Please attach Xorg.0.log.

Created an attachment (id=12145)
logfile

(In reply to comment #3)
> Could you double-check if it's i810 by command "lspci"? I thought R51 is 855GM.
> Please attach Xorg.0.log.
>

Your are correct, im sorry for posting a bad bug, really sorry.
The lspci shows
Intel Corporation 82852/82855 GM/GME/PM/GMV

Really appreciate your fast answers!

Xorg.0.log is in attachment

We currently don't support any TV out through DVO, which is what your laptop uses. The usual chips (chrontel) have published specs which could be used to write an appropriate DVO driver, and we have several LVDS and TMDS DVO drivers already in the tree that could be used as examples.

I am using Gutsy Final and still cannot get the TV Out to do anything useful.

Now that there is the elaborate "Screens and Graphics" section and the Intel driver, I hope that something can be sorted!

mark as wontfix..

Just because intel's not planning on writing these drivers at the moment doesn't mean that the issue is irrelevant. We all agree that having these drivers would be good, while "wontfix" usually means that the upstream maintainers don't want to see the issue fixed.

For what it's worth, I have a Intel i915 on a Fujitsu-Siemens Amilo Si-1520 laptop, and TV-out works quite well using the xrandr command to enable the "TV" output, set the mode and set the TV mode, after I plug in an S-video cable.

Apparently the PAL colour modulation isn't correct, but my TV picks up colour about 50% of the time after setting a TV mode. There doesn't seem to be a way to tell the TV to show the picture in wide-screen, which is supposed to be indicated in the TV signal somehow. Otherwise, it seems to work quite well.

Annoyingly, all the Gnome panels insist on moving to the TV display, away from the laptop display. That's unfortunate, but obviously much less of an issue than getting TV in the first place.

Fredrik Wendt (fredrik-wendt) wrote :

I'm running Gutsy final on a Thinkpad Z61t which is equipped with a Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03) (lspci -n says 8086:27a2 (and 8086:27a6 for the Display Controller)). I get TV output but I've yet failed to get color working.

Fredrik Wendt (fredrik-wendt) wrote :

TV works with colours if I run i810. With the same xorg.conf file (except for the Driver instructions) using intel, the output is black/white.

I can confirm the same behaviour as described in the original bug report. Including the white flashes as a connection attempt is done to the TV.
I will attach my xorg.conf and Xorg.0.log

My display hardware, as reported by lspci:
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c) (prog-if 00 [VGA])
        Subsystem: Dell Unknown device 01fe
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at fea00000 (64-bit, non-prefetchable) [size=1M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at efe8 [size=8]
        Capabilities: <access denied>

00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
        Subsystem: Dell Unknown device 01fe
        Flags: bus master, fast devsel, latency 0
        Memory at feb00000 (64-bit, non-prefetchable) [size=1M]
        Capabilities: <access denied>

I am using Ubuntu Gutsy.

I forgot to mention that the same hardware works as expected using Windows. Please request more info if needed

Timo Aaltonen (tjaalton) wrote :

This is not something Ubuntu can do -> wishlist.

Changed in xserver-xorg-video-intel:
importance: Medium → Wishlist
unggnu (unggnu) wrote :

TV-Support for the newer Intel video cards should work with the current -intel driver and the command xrandr or maybe the new gnome-display-properties.
The Hardy Heron Alpha series is currently under development and contains an updated version of the -intel driver. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . You should be able to test the new -intel driver using the LiveCD. If you can, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ .
Thanks.

Changed in xserver-xorg-video-intel:
status: Confirmed → Incomplete
Bryce Harrington (bryce) wrote :

Can those of you who reported having this last year, let us know if it's now working properly with the current drivers in Hardy? (I suspect perhaps it is, but haven't tested it myself.)

unggnu (unggnu) on 2008-07-09
Changed in xserver-xorg-video-i810:
status: New → Invalid
Bryce Harrington (bryce) on 2008-07-18
Changed in xserver-xorg-video-intel:
importance: Wishlist → Medium
status: Incomplete → Confirmed
Bryce Harrington (bryce) on 2008-07-28
Changed in xserver-xorg-video-intel:
status: Confirmed → Triaged
Bryce Harrington (bryce) on 2008-10-15
Changed in xserver-xorg-video-intel:
status: Triaged → Confirmed
Bryce Harrington (bryce) on 2008-10-17
Changed in xserver-xorg-video-intel:
importance: Medium → Wishlist
status: Confirmed → Triaged
Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed
Bryce Harrington (bryce) on 2008-10-29
Changed in xserver-xorg-video-intel:
status: Confirmed → Unknown
Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed
36 comments hidden view all 116 comments

*** Bug 19805 has been marked as a duplicate of this bug. ***

Philippe Coval (rzr) wrote :

Hi,
I havent checked yet, but it seems also to affect : i830M (or 82830 CGC) , can anyone confirm ?
I'll update this post after jaunty release
--
http://rzr.online.fr/q/stb

Hi,

I think I am affected by the same bug on 82830 CGC (pci=8086:3577) ...

I can help to build and test some experimentals versions...

Also I wish I can test latest iegd from intel to compare , but i can't find where to download it...

Tracking at : http://rzr.online.fr/q/stb

Regards

@www.rzr.online.fr: I am available for testing experimental versions of the driver. I have an 855GM chipset.

I have read your page but cannot find a proper version to test.

Thanks

Craig Huffstetler (xq) wrote :

It's definitely going to be up to the community.

There are many questions on this, many work-arounds that may or may not work for users in the forums, the Answers community and ubuntu-users list, and this has been since 2005? I could barely believe it when I found this bug when trying to help another user just get the S-Video/TV Out to work. Now the i810 "work around" doesn't work because the driver is no longer available, easily at least, from the repositories in 8.10.

And in any since it can be a dead-end because only limited users reported success with using the i810 driver.

I really think this should have a priority higher than "Wishlist."

Built in hardware from a 4-year-old laptop should definitely be working by
now.

On Thu, Mar 26, 2009 at 1:16 PM, Craig Huffstetler <
<email address hidden>> wrote:

> It's definitely going to be up to the community.
>
> There are many questions on this, many work-arounds that may or may not
> work for users in the forums, the Answers community and ubuntu-users
> list, and this has been since 2005? I could barely believe it when I
> found this bug when trying to help another user just get the S-Video/TV
> Out to work. Now the i810 "work around" doesn't work because the driver
> is no longer available, easily at least, from the repositories in 8.10.
>
> And in any since it can be a dead-end because only limited users
> reported success with using the i810 driver.
>
> I really think this should have a priority higher than "Wishlist."
>
> --
> [i855] no support for TV-Out on 8xx chipsets
> https://bugs.launchpad.net/bugs/6270
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in X.org xf86-video-intel: Confirmed
> Status in “xserver-xorg-video-i810” source package in Ubuntu: Invalid
> Status in “xserver-xorg-video-intel” source package in Ubuntu: Triaged
>
> Bug description:
> I use an Intel Centrino chipset on a Dell Inspiron 510m. My hardware ID is:
> ab4d55311e734d27f3679e60a3ba8604
>
> I apologise if I got the source package incorrect.
>
> What I was attempting to achieve was to output a video of the Guadec
> conference, which was playing on my screen, to the Television via my S-Video
> connector. I plugged everything in and pushed the function key with
> "CRT/LCD". The screen had a white flicker in it whenever I pushed the button
> but, aside from that, nothing happened.
>
> What I expected to happen was for the TV to mirror what was on my screen.
>
> My resolution was set to 1400x1050 but the same occurs when this is reduced
> to 1280x1024 (the lowest in the list).
>
> Thanks
>

Craig Huffstetler (xq) wrote :

@Jason

I'm sorry if I was unclear and you thought I was referencing just the 810. I was referencing a possible solution for the 855 series that people are reporting problems with.

One case I am referring to (that is attached to this bug report) can be found here:
https://answers.edge.launchpad.net/ubuntu/+source/xorg/+question/65430

The card I am referencing is an Intel 855 GM/E. Apparently this bug also affects Intel 855s (GM/GME). Some users have attempted to roll-back their drivers to the i810 drivers in an effort just to use their S-Video/TV-Out signal with no success.

See:
http://ubuntuforums.org/showthread.php?t=849994&highlight=855gm+svideo
http://ubuntuforums.org/showthread.php?t=849994&highlight=855gm+svideo
He posted his conf file here: http://paste.ubuntuusers.de/389739/
Apparently, it worked for him. But it only works for select users. I obviously do not know why, if I did we may have a solution.

Sorry to be unclear.

JasonSpradlin82 (jaspradlin) wrote :

@craig
I only meant to relay my frustration in having an older laptop with old
hardware that is not supported even by Intrepid. This bug has been open
forever, yet nothing has come of it thus far, other than further complaints.
 One would figure that after so many complaints Intel would jump in to try
to fix this for their Linux users, regardless of the fact that Canonical
doesn't seem have anybody on it.

On Thu, Mar 26, 2009 at 1:46 PM, Craig Huffstetler <
<email address hidden>> wrote:

> @Jason
>
> I'm sorry if I was unclear and you thought I was referencing just the
> 810. I was referencing a possible solution for the 855 series that
> people are reporting problems with.
>
> One case I am referring to (that is attached to this bug report) can be
> found here:
> https://answers.edge.launchpad.net/ubuntu/+source/xorg/+question/65430
>
> The card I am referencing is an Intel 855 GM/E. Apparently this bug also
> affects Intel 855s (GM/GME). Some users have attempted to roll-back
> their drivers to the i810 drivers in an effort just to use their S-Video
> /TV-Out signal with no success.
>
> See:
> http://ubuntuforums.org/showthread.php?t=849994&highlight=855gm+svideo
> http://ubuntuforums.org/showthread.php?t=849994&highlight=855gm+svideo
> He posted his conf file here: http://paste.ubuntuusers.de/389739/
> Apparently, it worked for him. But it only works for select users. I
> obviously do not know why, if I did we may have a solution.
>
> Sorry to be unclear.
>
> --
> [i855] no support for TV-Out on 8xx chipsets
> https://bugs.launchpad.net/bugs/6270
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in X.org xf86-video-intel: Confirmed
> Status in “xserver-xorg-video-i810” source package in Ubuntu: Invalid
> Status in “xserver-xorg-video-intel” source package in Ubuntu: Triaged
>
> Bug description:
> I use an Intel Centrino chipset on a Dell Inspiron 510m. My hardware ID is:
> ab4d55311e734d27f3679e60a3ba8604
>
> I apologise if I got the source package incorrect.
>
> What I was attempting to achieve was to output a video of the Guadec
> conference, which was playing on my screen, to the Television via my S-Video
> connector. I plugged everything in and pushed the function key with
> "CRT/LCD". The screen had a white flicker in it whenever I pushed the button
> but, aside from that, nothing happened.
>
> What I expected to happen was for the TV to mirror what was on my screen.
>
> My resolution was set to 1400x1050 but the same occurs when this is reduced
> to 1280x1024 (the lowest in the list).
>
> Thanks
>

Craig Huffstetler (xq) wrote :

Ah, got it! Frustration *understood* ;-)

Cheers!

Cervera (cervera-gmail) wrote :

Hello, Again like many before me, I'm "suffering from" 855 :)
my computer is a Fujitsu-Siemens V2020 laptop, with the Intel 855 graphics.
Well, no TV out. (works fine in windows, so hardware's okay.)

i'll be attaching xorg.conf

Cervera (cervera-gmail) wrote :

Xorg.0.log

Cervera (cervera-gmail) wrote :

when running
lspci:
------------------------
~$ lspci -v | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
-------------------------

when running xrandr:
--------------------------
~$ xrandr --verbose
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1024 x 1024
VGA disconnected (normal left inverted right x axis y axis)
 Identifier: 0x3b
 Timestamp: 31425
 Subpixel: unknown
 Clones: TMDS
 CRTCs: 0 1
LVDS connected 1024x768+0+0 (0x3e) normal (normal left inverted right x axis y axis) 304mm x 228mm
 Identifier: 0x3c
 Timestamp: 31425
 Subpixel: horizontal rgb
 Clones:
 CRTC: 1
 CRTCs: 1
 EDID_DATA:
  00ffffffffffff004493110000000000
  000f0103801e17780a58209753509023
  1e505400000001010101010101010101
  01010101010164190040410026301888
  360030e4100000190000000f0004c02e
  c00211111176c0126301000000fe0051
  55414e5441444953504c4159000000fe
  0051443135584c3036310a2020200018
 BACKLIGHT_CONTROL: native
  supported: native legacy combination kernel
 BACKLIGHT: 0 (0x00000000) range: (0,0)
  1024x768 (0x3e) 65.0MHz -HSync -VSync *current +preferred
        h: width 1024 start 1048 end 1184 total 1344 skew 0 clock 48.4KHz
        v: height 768 start 771 end 777 total 806 clock 60.0Hz
  800x600 (0x3f) 40.0MHz +HSync +VSync
        h: width 800 start 840 end 968 total 1056 skew 0 clock 37.9KHz
        v: height 600 start 601 end 605 total 628 clock 60.3Hz
  640x480 (0x40) 25.2MHz -HSync -VSync
        h: width 640 start 656 end 752 total 800 skew 0 clock 31.5KHz
        v: height 480 start 490 end 492 total 525 clock 59.9Hz
TMDS disconnected (normal left inverted right x axis y axis)
 Identifier: 0x3d
 Timestamp: 31425
 Subpixel: horizontal rgb
 Clones: VGA
 CRTCs: 0 1
-------------------------------------------------

Hope for a solution, thank you all!

Sirius1977 (sirius1977) wrote :

Hi all

Since the old i810 driver is no longer in the repos (since intrepid) the solution i posted on ubuntuforums.org is not working anymore. The new Intel drivers have no support for TV-OUT on the 855gm.

The only way to get a working TV-out is switching back to hardy (8.04) because the old i810 is available there.

With the following lines i've got the tv-out working:

Section "Device"
 Identifier "Intel Corporation 82852/855GM Integrated Graphics Device"
 Driver "i810"
 BusID "PCI:0:2:0"
 Option "MonitorLayout" "TV,LFP"
 Option "Clone" "yes"
EndSection

Restart xorg and then there should be appear a part of your desktop on the TV. To get color and the right resolution you need this patched nvtv http://ubuntuforums.org/showthread.php?t=40865&page=4

xrandr will not work with the old driver so you dont need it for this solution.

This works for me on a Thinkpad R51 with 855gm and a chrontel7011.

Hope this helps

Craig Huffstetler (xq) wrote :

Sirius,

This is still good information to know for the developers. Thanks for coming here yourself.

Now, the question is "why."

Thanks,

Craig

legolas558 (legolas558) wrote :

@Craig: see comment 55, they don't have a development plan for this feature. I know what to NOT buy next time..

Cervera (cervera-gmail) wrote :

@Sirius1977:
Isn't it possible to make the i810 driver available in 8,10?

legolas558 (legolas558) wrote :

@Sirius1977: no, because that's not supported (e.g. compatibility will break at some point and all new bugs will not be fixed, see proper definition of unsupported software).

nvtv reports an error:

TVCh2Create: CH7009 family not yet supported

From Xorg.0.log I *know* that I have a CH7017, nvtv reports CH7011 in its menu and I get errors for CH7009. Wonderful. Does anybody know what Chrontel do I have? Will it ever work if I install the i810?

Sirius1977 (sirius1977) wrote :

@legolas558: I've got the same error message but it works. The patched nvtv will only work with the "old" i810. If you are using 8.04 then give it a try. There should be something appear on the TV after you have made the changes to xorg.conf. Then nvtv comes to the game.

I'm still add me to the list of people who would see this bug being fixed, because i'm not using Hardy anymore.

Bryce Harrington (bryce) wrote :

@legolas, it should not come as a surprise that all of the video drivers maintained by a company (-fglrx, -nvidia, -intel) have cut-offs in terms of how old of hardware they continue to support. Like you I don't think this is a good thing, but certainly from their business perspective is is the right financial move.

Where -intel differs from nVidia and ATI, is that they have chosen to make their primary supported driver be open source. The reason this is significant, is because if nVidia or ATI choose to stop supporting some old hardware in their driver, you as a consumer are screwed - you are forced to either buy new hardware, or write your own driver from scratch. Thankfully, for both nVidia and ATI, community people have already done the hard reverse engineering work, thus making decent alternatives available for community people wishing to continue using the older hardware.

Intel's open-source-friendly strategy has provided a third choice: You have full access to the primary driver's source code and can thus add and improve the support in the driver yourself.

Now, you may feel that you do not have the time, know-how, inclination, or hardware to take this route. But when you chose to support Intel's open source strategy by buying their hardware, having this route as an option was a privilege and a right that you (and the whole community) gained as a result.

Most rights come with responsibility, and in this case that means that if and when Intel the corporation chooses to stop supporting something (and they haven't stopped supporting i855 entirely yet, just this specific feature), the effort to develop and maintaining it has to come from the community - likely someone who doesn't consider themselves a driver developer, but who has the gumption to give it a shot.

I would love to see a vibrant little community emerge around providing support on 8xx cards, figure out code to extract from -i810 or whatever, and start regularly testing/maintaining 8xx support in -intel. I suspect what we need is not some single big hero but a bunch of little heroes each contributing a piece of the puzzle, and through collaboration getting 8xx solidified and full-featured once again.

legolas558 (legolas558) wrote :

Hi Bryce,

thanks for your extended explanation about how things go.
I told my feelings as consumer, not open source developer. As open
source developer and supporter I am really happy of Intel's
open-source-friendly strategy.
But as a consumer I am really screwed up about the fact that Windows
drivers are complete and Linux drivers are no more.
It still does not seem that they want to support a 'market' for desktop
Linux users, I know that there is not really one right now but this is
not helping creating one.

I have tried giving a look to the i810 codebase and intel codebase but
could not understand which differing parts are responsible for the
TV-OUT, seems like I am not that good.

legolas558 (legolas558) wrote :

@Syrius1977: I have compiled the i810 drivers for my Xorg server (I am using squeeze), I have a problem with my LFP (local flat panel): it becomes blank (but does not go off), while I can actually see something on the TV. I have tried many combinations of MonitorLayout and screen resolutions but I cannot yet start Xorg on my normal display when using the i810 driver.

I will try to connect remotely (via ssh) to run nvtv

legolas558 (legolas558) wrote :

I confirm that I got the TV-OUT working with the compiled i810 driver and using

Option "MonitorLayout" "NONE,TV"

So that my LFP does not get blanked. A side effect is that I am not using clone mode, the LCD display is turned off and when exiting the X session all ttys get an invalid resolution (illegible characters and bad refresh frequency), I have tried enabling VBERestore but does not help.

Note: I did not use nvtv to get the video out working. I tried clicking "TV on" (although I was already on TV) and display started flickering more, nothing seemed to work.

So I can confirm that a workaround to this bug is to use the old i810 driver, although I wasn't able to get it working properly.

Bryce Harrington (bryce) wrote :

Hi legolas,

It's great to see that you've delved into making this work. Can I ask, when you mentioned you got the i810 driver compiled, was that on top of xserver 1.6? What steps did you need to take to get it built?

legolas558 (legolas558) wrote :

@Bryce: I compiled it against xorg-dev 1:7.3+18 (I use Debian Squeeze), I had to install several packages to let the 'configure' script run successfully. From my logs I think you should install these: x11proto-video-dev libxv-dev libxvmc-dev x11proto-video-dev libxv-dev libxvmc-dev libfontenc-dev x11proto-fonts-dev libxfont-dev xserver-xorg-dev libdrm-dev x11proto-xf86dri-dev x11proto-gl-dev libx11-dev libx11-xcb-dev libpci-dev

Bryce Harrington (bryce) on 2009-05-06
tags: added: tv-out
Bryce Harrington (bryce) wrote :

On Sun, May 03, 2009 at 03:52:39PM -0000, legolas558 wrote:
> @Bryce: I compiled it against xorg-dev 1:7.3+18 (I use Debian Squeeze),
> I had to install several packages to let the 'configure' script run
> successfully. From my logs I think you should install these: x11proto-
> video-dev libxv-dev libxvmc-dev x11proto-video-dev libxv-dev libxvmc-dev
> libfontenc-dev x11proto-fonts-dev libxfont-dev xserver-xorg-dev libdrm-
> dev x11proto-xf86dri-dev x11proto-gl-dev libx11-dev libx11-xcb-dev
> libpci-dev

I gave it a try with the stock stuff we have in jaunty but it
unfortunately didn't build, with errors like:

In file included from ../../src/i810_accel.c:56:
../../src/i810.h:182: error: expected specifier-qualifier-list before
'pciVideoPtr'
...
../../src/i810_accel.c: In function 'I810EmitInvarientState':
../../src/i810_accel.c:610: error: 'struct _I810Rec' has no member named
'LpRing'
../../src/i810_accel.c:610: error: 'struct _I810Rec' has no member named
'LpRing'

I guess the driver needs updated to use the new pciaccess stuff in order
to compile against latest xserver and libs.

Bryce

Bryce Harrington (bryce) on 2009-06-10
description: updated
tags: removed: bitesize
legolas558 (legolas558) wrote :

Hi Bryce,

yes it no more compiles after the "PCI rework" done in Xorg server 1.6. There is a howto here http://www.x.org/wiki/PciReworkHowto which guides in rework of the new 'intel' driver, and I assume that the parts in i810 legacy driver which needs rewrital are almost the same.

Has anybody reworked the PCI part of the old i810 driver (1.7.2-4)? I can't find any clue of this on the internet

Pushed by frustration of having to close my Linux sessions and boot into Windows, I packaged a chroot live system to use my TV-OUT without rebooting.
Xorg 1.4 + the old i810 driver (v1.7.2) are inside, with perfectly compiling sources.

I hope this will be useful to some of you.

http://sourceforge.net/projects/i810tvout/

All feedback is welcome (on the SF.net project please)

legolas558 (legolas558) wrote :

Pushed by frustration of having to close my Linux sessions and boot into
Windows, I packaged a chroot live system to use my TV-OUT without rebooting.
Xorg 1.4 + the old i810 driver (v1.7.2) are inside, with perfectly compiling
sources (so if somebody wants to rework its PCI part, you have a ready system here :-) ).

I hope this will be useful to some of you.

http://sourceforge.net/projects/i810tvout/

All feedback is welcome

Bryce Harrington (bryce) on 2010-03-02
summary: - [i855] no support for TV-Out on 8xx chipsets
+ [i855] [i855] no support for TV-Out on 8xx chipsets
Bryce Harrington (bryce) on 2010-03-02
summary: - [i855] [i855] no support for TV-Out on 8xx chipsets
+ [i855] no support for TV-Out on 8xx chipsets

What is the status here? AIUI dvo, and the sil164 chipset reference here, are supported so are the TV paths hooked up?

(In reply to comment #24)
> What is the status here? AIUI dvo, and the sil164 chipset reference here, are
> supported so are the TV paths hooked up?

It doesn't work, Intel doesn't support it and nobody fixed the driver. There have been attempts to fix the driver by various people, with some results, but absolutely nothing for the (KMS) i915 intel driver.

Just dead hardware in our boxes

Have you had a chance to look at the alternate sil164 driver that is now upstream? Just in terms of removing code duplication I'd like to remove dvo_sil164.c. However considering they are almost identical and the comments in intel_dvo.c, DVO itself needs quite a bit of love first.

(In reply to comment #26)
> Have you had a chance to look at the alternate sil164 driver that is now
> upstream? Just in terms of removing code duplication I'd like to remove
> dvo_sil164.c. However considering they are almost identical and the comments in
> intel_dvo.c, DVO itself needs quite a bit of love first.

I have looked at the intel_dvo.c file and it looks like easy, however my hardware (i855GM rev02) uses the Chrontel70xxx chipset, not SIL. Shall I start from the staging ch7006 driver instead?

I'd suggest looking at these release news:
http://lists.freedesktop.org/archives/xorg-announce/2007-November/000430.html

There is one significant line by Eric Anholt:

Disable TV/VGA output on the CH7017/7018 devices.

I think the i855GM TV-OUT was left for dead there. There is currently a ch7017 and ch70xx driver for DVO, but I am getting a bit confused so I don't know if my hardware has a DVO or a TV-OUT (it has a VGA output and a 5pin S-Video output), I'd say the TV-OUT (S-Video output) is the part dismantled in current driver.

Changed in xserver-xorg-video-intel:
importance: Unknown → Wishlist
legolas558 (legolas558) wrote :

Yesterday I collected an (apparently) useful information regarding the i855GM (rev.02) hardware (which I own):

after a linux session I rebooted into windows xp, activated the TV-OUT and used it to watch for many hours. Then I rebooted into linux and just before Xorg rewrote the video buffer, I could see the previous linux session's buffer (with some minimal noise added). This had happened previously when rebooting from linux to linux, and can be explained because there is some RAM persistence in the i855GM.

But if the persistence happens equally when using another video driver, e.g. Windows i855 driver, then it means that the linux intel driver uses *different* RAM than the Windows driver, maybe some PIPE A/B difference?

It's even more interesting to note that on Windows I used the normal LCD display and also the TV-OUT, while on Linux only the LCD display which obviously must have been feeded by RAM which was not touched by Windows for many hours.

Can somebody explain this differently?

This issue is affecting a hardware component which is not being actively worked on anymore.

Moving the assignee to the dri-devel list as contact, to give this issue a better coverage.

Reassign back to the public - this needs somebody with the motivation and hw to write the corresponding dvo driver.

Ben Straton (fanum) wrote :

I still have the hardware, but do not have the ability to write the code. Should anyone else write it, I would be more than happy to test.

Not everyone with these chipsets would be affected, because not everyone
with these chipsets has a DVO card. Personally, I've been wanting to get my
hands on such a card for several years, but I've never been able to find
one.
On Dec 22, 2008 2:44 PM, "Craig73" <email address hidden> wrote:

> Does anyone know how to query the HWDB to get a statistic on how many of
> these chipsets are out there and in use under Ubuntu? (IE - how many
> people are impacted / how many people would be willing to contribute
> towards contracting a fix)
>
> --
> [i855] no support for TV-Out on 8xx chipsets
> https://bugs.launchpad.net/bugs/6270
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Whoops, accidentally read the first post in this thread as the last, and
responded accordingly. My bad.
On Feb 9, 2012 2:12 PM, "Daniel Gimpelevich" <
<email address hidden>> wrote:

> Not everyone with these chipsets would be affected, because not everyone
> with these chipsets has a DVO card. Personally, I've been wanting to get my
> hands on such a card for several years, but I've never been able to find
> one.
> On Dec 22, 2008 2:44 PM, "Craig73" <email address hidden> wrote:
>
>> Does anyone know how to query the HWDB to get a statistic on how many of
>> these chipsets are out there and in use under Ubuntu? (IE - how many
>> people are impacted / how many people would be willing to contribute
>> towards contracting a fix)
>>
>> --
>> [i855] no support for TV-Out on 8xx chipsets
>> https://bugs.launchpad.net/bugs/6270
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>

phxphun1 (phxphun1) wrote :

FWIW, and I'm not certain I'm in the right place, I have a Toshiba Satellite A55 with i855GM graphics. At one time the "TV out" (s-video) worked under Ubuntu... up through 10.04 Lucid (and I think 10.10 Maverick as well) but with 11.x (Natty and Oneric) it quit working. I was hoping it might return with 12.4 Precise, but it isn't :(

I'm not sure what I can contribute to the effort other than thorough testing, but if someone can make it work again I'm all for it. While it is a bit long in the tooth, the Toshiba makes for a nice low-end media center. I suppose I could downgrade back to 10.x, but I'd rather see it working again in current versions.

Perhaps a related question is why, if it used to wor, did it cease to work? I hate it when upgrades break something that I use.

Displaying first 40 and last 40 comments. View all 116 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.